<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: theme.php
| Author: FDTD Designer
| Theme: Rift
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<img src='".THEME."images/circle.png' class='bullet no-border valignfix' alt='' />");

require_once INCLUDES."theme_functions_include.php";
require_once THEME."functions.php";

if (function_exists("add_handler")) { add_handler("theme_output"); }

function render_page($license = false) {
	global $settings, $main_style, $locale, $mysql_queries_time;
	
	//Buffering
	add_to_head("<link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Underdog&amp;subset=latin,cyrillic' />");
	
	//Header
	echo "<div class='header-noise'>";
	echo "<div class='header-social'>";
	echo "<a rel='nofollow' href='http://www.facebook.com/' onclick=\"window.open('http://www.facebook.com/sharer.php?u='+encodeURIComponent(location.href));return false;\" class='social facebook'></a>";
	echo "<a rel='nofollow' href='http://twitter.com/' onclick=\"window.open('http://twitter.com/home?status=RT'+encodeURIComponent(document.title)+': '+encodeURIComponent(location.href));return false;\" class='social twitter'></a>";
	echo "<a rel='nofollow' href='http://www.google.com/' onclick=\"window.open('http://www.google.com/bookmarks/mark?op=add&amp;hl=ru&amp;bkmk='+encodeURIComponent(location.href)+'&amp;annotation='+encodeURIComponent(document.title)+'&amp;labels=webnotes&amp;title='+encodeURIComponent(document.title));return false;\" class='social gplus'></a>";
	echo "<a rel='nofollow' href='http://feedburner.com/' class='social rss'></a>";
	echo "</div>\n";
	echo "<div class='header-wallpaper'>\n";
	echo "<div class='header-line'>\n";
	echo "<div class='left-corner'><a href='".BASEDIR."'><img src='".BASEDIR.$settings['sitebanner']."' alt='' /></a></div>\n";
	echo "<div class='navigation'>".showsublinks(null)."</div>\n";
	echo "<div class='right-corner'></div>\n";
	echo "<div class='clearfix'></div>\n";
	echo "</div>\n";
	
	//Content
	$on_forum = preg_match("#forum/#si", START_PAGE);
	echo "<div class='content-area'>\n";
	echo "<div class='rel-top'></div>\n";
	echo "<div class='rel-left'>\n<div class='rel-right'>\n<div class='cover'>\n";
	echo "<table cellspacing='0' cellpadding='0' width='100%'".($on_forum ? " class='wide'" : "").">\n<tr>\n";
	echo "<td class='oldpaper-corner top left'></td>\n";
	echo "<td class='oldpaper-hline top'></td>\n";
	echo "<td class='oldpaper-corner top right'></td>\n";
	echo "<td class='oldpaper-decor' rowspan='3'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='oldpaper-vline left'></td>\n";
	echo "<td class='oldpaper-mid' valign='top'>\n<div class='cmain'>".U_CENTER.CONTENT.L_CENTER."</div>\n</td>\n";
	echo "<td class='oldpaper-vline right'></td>\n";
	if (!$on_forum) {
		echo "<td class='oldpaper-panels' valign='top'>\n<div class='column'>\n";
		if (RIGHT) { echo "<div class='panel-right'>".RIGHT."</div>\n"; }
		if (LEFT) { echo "<div class='panel-left'>".LEFT."</div>\n"; }
		echo "</div>\n</td>\n";
	}
	echo "</tr>\n<tr>\n";
	echo "<td class='oldpaper-corner bottom left'></td>\n";
	echo "<td class='oldpaper-hline bottom'></td>\n";
	echo "<td class='oldpaper-corner bottom right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "</div>\n</div>\n</div>\n";
	echo "<div class='rel-bottom'></div>\n";
	echo "</div>\n";
	
	//Footer
	echo "<div class='footer-bluelights'></div>\n";
	echo "<div class='footer-summary'>Rift theme by FDTD Designer</div>\n";
	echo "<div class='footer-wall'>\n<div class='fshadow'>\n<div class='shadow'>\n<div class='footer-limit'>\n";
		echo "<div class='footer-links'>\n";
		echo "<h2>Game</h2>\n";
		echo "<a href='#' class='side'>Game Modes</a><br />\n";
		echo "<a href='#' class='side'>Items</a><br />\n";
		echo "<a href='#' class='side'>Champions</a><br />\n";
		echo "<a href='#' class='side'>Summoners</a>\n";
		echo "</div>\n";
		echo "<div class='footer-flare'>\n<h2>Credits</h2>\n<p>".strip_tags(stripslashes($settings['footer']))."</p>\n</div>\n";
		echo "<div class='footer-barrel'>\n".(!$license ? showcopyright() : "")."</div>\n";
		echo "<div class='clearfix'></div>\n";
	echo "</div>\n</div>\n</div>\n</div>\n";
	echo "<div class='footer-floor'></div>\n";
	echo "<div class='footer-summary'>e2dec94c</div>\n";
	echo "</div>\n</div>\n";
}

function render_comments($c_data, $c_info){
	global $locale, $settings;
	
	opentable($locale['c100']);
	if (!empty($c_data)){
		$c_makepagenav = "";
		if ($c_info['c_makepagenav'] !== false) { echo $c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n";  }
		foreach($c_data as $data) {
			$profile_link = preg_replace("#<a href='(.*?)'.*?>.*?</a>#si", "\\1", $data['comment_name']);
			echo "<div class='comment-box wrapper'>\n";
			if ($settings['comments_avatar'] == "1") { echo "<div class='float-left comment-avatar-box'><div class='comment-avatar'>".$data['user_avatar']."</div></div>\n"; }
			echo "<div class='floatfix'>\n<div class='comment-info'>\n";
			echo "<div class='float-right'><a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a></div>\n";
			echo "() ".$data['comment_name']." ".$data['comment_datestamp']."</div>\n<div class='comment-message'>\n";
			if ($data['edit_dell'] !== false) {
				$manage_links = str_replace(" |", "", $data['edit_dell']);
				$manage_links = preg_replace("#<a href='(.*?)'>(.*?)</a>#si", "<span rel='comment-option edit' name='\\2'>\\1</span>", $manage_links, 1);
				$manage_links = preg_replace("#<a href='(.*?)'>(.*?)</a>#si", "<span rel='comment-option delete' name='\\2'>\\1</span>", $manage_links, 1);
				$manage_links = preg_replace("#<span rel='(.*?)' name='(.*?)'>(.*?)</span>#si", "<a href='\\3' class='\\1' title='\\2'><img src='".THEME."images/spacer.png' class='no-border comment-spacer' alt='' /></a>", $manage_links);
				echo "<div class='float-right comment-controls'>".$manage_links."\n</div>\n";
			}
			echo $data['comment_message'];
			echo "</div>\n</div>\n</div>\n";
		}
		echo $c_makepagenav;
		if ($c_info['admin_link'] !== false) { echo "<div class='comment-break float-right'>".$c_info['admin_link']."</div>\n<div class='clearfix'></div>\n"; }
	} else {
		echo $locale['c101']."\n";
	}
	closetable();   
}

function render_news($subject, $news, $info) {
	global $locale, $settings, $aidlink;
	
	$comments_alt = ($info['news_comments'].($info['news_comments'] == 1 ? $locale['global_073b'] : $locale['global_073']));
	echo "<div class='cpanel-title'>\n<div class='float-right'>\n";
	echo "<a href='".BASEDIR."news_cats.php?cat_id=".$info['cat_id']."'><img src='".get_image("category")."' class='valign-fix no-border hspace' alt='".$info['cat_name']."' title='".$info['cat_name']."' /></a>";
	echo "<a href='".BASEDIR."news.php?readmore=".$info['news_id']."#comments'><img src='".get_image("comments")."' class='valign-fix no-border hspace' alt='".$comments_alt."' title='".$comments_alt."' /></a>";
	echo "<a href='".BASEDIR."print.php?type=N&amp;item_id=".$info['news_id']."'><img src='".get_image("printer")."' class='valign-fix no-border hspace' alt='".$locale['global_075']."' title='".$locale['global_075']."' /></a>";
	if (iADMIN && checkrights("N")) { echo "<a href='".ADMIN."news.php".$aidlink."&amp;action=edit&amp;news_id=".$info['news_id']."'><img src='".get_image("edit")."' class='valign-fix no-border hspace' alt='".$locale['global_076']."' title='".$locale['global_076']."' /></a>\n"; }
	echo "</div>\n<a name='news_".$info['news_id']."' id='news_".$info['news_id']."' href='".BASEDIR."news.php?readmore=".$info['news_id']."'>".strip_tags($subject)."</a></div>\n";
	echo "<div class='cpanel-body'>".$info['cat_image'].$news."<br />\n";
	if (!isset($_GET['readmore']) && $info['news_ext'] == "y") {
		echo "<br />\n<div class='float-right'><a href='".BASEDIR."news.php?readmore=".$info['news_id']."' class='button'><span class='rightarrow icon'></span>".$locale['global_072']."</a></div>\n";
		echo "<div class='clearfix'></div>\n";
	}
	echo "<div class='clearfix'></div>\n</div>\n";
}

function render_article($subject, $article, $info) {
	global $locale, $settings, $aidlink;
	
	echo "<div class='cpanel-title'>\n<div class='float-right'>\n";
	$category_name = ($info['cat_id'] ? $info['cat_name'] : $locale['global_080']);
	echo "<a href='".($info['cat_id'] ? BASEDIR."articles.php?cat_id=".$info['cat_id'] : BASEDIR."articles.php?cat_id=0")."'><img src='".get_image("category")."' class='valign-fix no-border hspace' alt='".$category_name."' title='".$category_name."' /></a>";
	if ($info['article_allow_comments'] && $settings['comments_enabled'] == "1") {
		$comments_alt = ($info['article_comments'].($info['article_comments'] == 1 ? $locale['global_073b'] : $locale['global_073']));
		echo "<a href='".BASEDIR."articles.php?article_id=".$info['article_id']."#comments'><img src='".get_image("comments")."' class='valign-fix no-border hspace' alt='".$comments_alt."' title='".$comments_alt."' /></a>";
	}
	echo "<a href='".BASEDIR."print.php?type=A&amp;item_id=".$info['article_id']."'><img src='".get_image("printer")."' class='valign-fix no-border hspace' alt='".$locale['global_075']."' title='".$locale['global_075']."' /></a>";
	if (iADMIN && checkrights("A")) { echo "<a href='".ADMIN."articles.php".$aidlink."&amp;action=edit&amp;article_id=".$info['article_id']."'><img src='".get_image("edit")."' class='valign-fix no-border hspace' alt='".$locale['global_076']."' title='".$locale['global_076']."' /></a>\n"; }
	echo "</div>\n<a name='article_".$info['article_id']."' id='article_".$info['article_id']."' href='".BASEDIR."articles.php?article_id=".$info['article_id']."'>".strip_tags($subject)."</a></div>\n";
	echo "<div class='cpanel-body'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."<br />\n";
	echo "</div>\n";
}

function opentable($title) {
	echo "<div class='cpanel-title'>".$title."</div>\n";
	echo "<div class='cpanel-body'>\n";
}

function closetable() {
	echo "</div>\n";
}

function openside($title, $collapse = true, $state = "on") {
	global $panel_collapse, $panel_switcher; $panel_collapse = $collapse;
	
	if ($panel_collapse == true) {
		$boxname = str_replace(" ", "", $title);
		$panel_switcher = panelbutton($state, $boxname);
	}
	echo "<div class='panel-title'><div class='float-right'>".($panel_collapse == true ? $panel_switcher : "")."</div>".$title."</div>\n";
	echo "<div class='panel-body'>\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }
}

function closeside() {
	global $panel_collapse, $panel_switcher;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</div>\n";
}
?>